---
search:
  tags:
    - DAM V2
    - GET
seo:
  description: >-
    Lists files (minimal fields) with pagination, sorting and… Reference for the
    GET /api/v2/{team_slug}/{app_slug}/dam/files endpoint in the Management API.
sidebar:
  label: Get files
  badge: GET
title: Get files
type: openapi-operation
---
Lists files (minimal fields) with pagination, sorting and filtering.

`GET /api/v2/{team_slug}/{app_slug}/dam/files`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "url": "string",
      "title": "string",
      "type": "string",
      "status": "string",
      "public": true,
      "created_with_ai": true,
      "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
